Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide
Interface IdeErrorInfo

All Known Implementing Classes:
  IdeErrorInfoDefault

public interface IdeErrorInfo

Contains advanced information about an error that has occurred.

The `IdeManager` interface provides `setErrorInfo` method that stores error information.

The `IdeErrorInfoDefault` class implements this interface and can be used to create specific error information objects.

Author:
  TogetherSoft
See Also: IdeErrorInfoDefault, IdeManager

Field Summary
`final static IdeErrorInfo` | `UNSPECIFIED` Unspecified error.

Method Summary
`String` | `getHelpURL()` Returns URL of the help file.
`String` | `getMessage()` Returns error description.
`int` | `getOffset()` Returns the offset in the file returned by `getSourceURL` method where exactly the error occurred.
`String` | `getSourceURL()` Returns the URL of the source of this error.
`int` | `getType()` Returns the type of the error, see IdeMessageType for details.

Field Detail

### UNSPECIFIED

    public final static IdeErrorInfo UNSPECIFIED

  Unspecified error.
  See Also:
    IdeErrorInfoDefault

Method Detail

### getHelpURL

    public String getHelpURL()

  Returns URL of the help file.
  Returns: `String` URL of the help file

### getMessage

    public String getMessage()

  Returns error description.
  Returns: `String` description of this error

### getOffset

    public int getOffset()

  Returns the offset in the file returned by `getSourceURL` method where exactly the error occurred.
  Returns: `int` offset
  See Also:
    getSourceURL()

### getSourceURL

    public String getSourceURL()

  Returns the URL of the source of this error.
  Returns: `String` URL of this error source
  See Also:
    getOffset()

### getType

    public int getType()

  Returns the type of the error, see IdeMessageType for details.
  Returns: `int` error type
  See Also:
    IdeMessageType

Association Links

to Class com.togethersoft.openapi.ide.IdeErrorInfo

  Unspecified error.

  see IdeErrorInfoDefault

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD